Loading...
Searching...
No Matches
XrdCl::ZipStatImpl< HasHndl > Class Template Reference

ZipStat operation (. More...

`#include <XrdClZipOperations.hh>`

Inheritance diagram for XrdCl::ZipStatImpl< HasHndl >:
Collaboration diagram for XrdCl::ZipStatImpl< HasHndl >:

## Public Member Functions

std::string | ToString ()
Public Member Functions inherited from XrdCl::ZipOperation< ZipStatImpl, HasHndl, Resp< StatInfo > >
virtual | ~ZipOperation ()
| Destructor.
Public Member Functions inherited from XrdCl::ConcreteOperation< ZipStatImpl, HasHndl, Resp< StatInfo >, Arguments... >
Operation< HasHndl > * | Move ()
ZipStatImpl< true > | operator>> (Hdlr &&hdlr)
ZipStatImpl< true > | operator| (Operation< true > &op)
ZipStatImpl< HasHndl > | Timeout (uint16_t timeout)
| Set operation timeout.
Operation< true > * | ToHandled ()
Public Member Functions inherited from XrdCl::Operation< HasHndl >
| Operation ()
| Constructor.
template<bool from>
| Operation (Operation< from > &&op)
| Move constructor between template instances.
virtual | ~Operation ()
| Destructor.

## Protected Member Functions

XRootDStatus | RunImpl (PipelineHandler *handler, uint16_t pipelineTimeout)
Protected Member Functions inherited from XrdCl::ConcreteOperation< ZipStatImpl, HasHndl, Resp< StatInfo >, Arguments... >
ZipStatImpl< true > | StreamImpl (ResponseHandler *handler)
ZipStatImpl< to > | Transform ()
Protected Member Functions inherited from XrdCl::Operation< HasHndl >
void | AddOperation (Operation< true > *op)
void | Run (Timeout timeout, std::promise< XRootDStatus > prms, std::function< void(const XRootDStatus &)> final)

## Additional Inherited Members

Static Protected Member Functions inherited from XrdCl::ConcreteOperation< ZipStatImpl, HasHndl, Resp< StatInfo >, Arguments... >
static void | AllocHandler (ConcreteOperation< ZipStatImpl, true, Resp< StatInfo >, Args... > &me)
static ZipStatImpl< true > | PipeImpl (ConcreteOperation< ZipStatImpl, HasHndl, Resp< StatInfo >, Args... > &me, Operation< true > &op)
Protected Attributes inherited from XrdCl::ZipOperation< ZipStatImpl, HasHndl, Resp< StatInfo > >
Ctx< ZipArchive > | zip
| The file object itself.
Protected Attributes inherited from XrdCl::ConcreteOperation< ZipStatImpl, HasHndl, Resp< StatInfo >, Arguments... >
std::tuple< Args... > | args
| Operation arguments.
uint16_t | timeout
| Operation timeout.
Protected Attributes inherited from XrdCl::Operation< HasHndl >
std::unique_ptr< PipelineHandler > | handler
| Operation handler.
bool | valid
| Flag indicating if it is a valid object.

## Detailed Description

template<bool HasHndl>
class XrdCl::ZipStatImpl< HasHndl >

ZipStat operation (.

See also
  ZipOperation)

Definition at line 482 of file XrdClZipOperations.hh.

## Member Function Documentation

## RunImpl()

template<bool HasHndl>

XRootDStatus XrdCl::ZipStatImpl< HasHndl >::RunImpl | ( | PipelineHandler * | handler,
|  | uint16_t | pipelineTimeout )

inline protected virtual

RunImpl operation (

See also
  Operation)

Parameters

  params | : container with parameters forwarded from previous operation

Returns
  : status of the operation

Implements XrdCl::Operation< HasHndl >.

Definition at line 508 of file XrdClZipOperations.hh.

{
StatInfo *info = nullptr;
XRootDStatus st = this->zip->Stat( info );
if( !st.IsOK() ) return st;
AnyObject *rsp = new AnyObject();
rsp->Set( info );
handler->HandleResponse( new XRootDStatus(), rsp );
return XRootDStatus();
}
XrdCl::Operation::handler
std::unique_ptr< PipelineHandler > handler
Operation handler.
Definition XrdClOperations.hh:150
XrdCl::ZipOperation< ZipStatImpl, HasHndl, Resp< StatInfo > >::zip
Ctx< ZipArchive > zip
Definition XrdClZipOperations.hh:70
XrdCl::ZipStatImpl
ZipStat operation (.
Definition XrdClZipOperations.hh:483

References XrdCl::Operation< HasHndl >::handler, XrdCl::Status::IsOK(), XrdCl::AnyObject::Set(), and XrdCl::ZipOperation< ZipStatImpl, HasHndl, Resp< StatInfo > >::zip.

Here is the call graph for this function:

## ToString()

template<bool HasHndl>

std::string XrdCl::ZipStatImpl< HasHndl >::ToString | ( |  | ) |

inline virtual

Returns
  : name of the operation (

See also
  Operation)

Implements XrdCl::Operation< HasHndl >.

Definition at line 494 of file XrdClZipOperations.hh.

{
return "ZipStat";
}

The documentation for this class was generated from the following file:

- XrdClZipOperations.hh